Bug 863388 - systemd systemctl not support reload smbd configuration
systemd systemctl not support reload smbd configuration
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 06:18 EDT by Frantisek Hanzlik
Modified: 2012-10-16 05:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 05:37:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 9280 None None None 2012-10-10 06:01:14 EDT

  None (edit)
Description Frantisek Hanzlik 2012-10-05 06:18:15 EDT
Description of problem:

'systemctl reload smb.service' end with error message:
Failed to issue method call: Job type reload is not applicable for unit smb.service.

This is evidently systemd fault; all smbd versions are able reload configuration at SIGHUP signal.

Version-Release number of selected component (if applicable):
systemd-44-17.fc17.i686
systemd-37-25.fc16.i686
Comment 1 Andreas Schneider 2012-10-10 06:01:14 EDT
I've fixed it upstream and created a bug for it.

Note You need to log in before you can comment on or make changes to this bug.